/**
 * Data model pour les lames de tarot
 */
export default class TarotDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      tarottype: new fields.StringField({ initial: "" }),
      numericvalueup: new fields.NumberField({ initial: 0, integer: true }),
      numericvaluedown: new fields.NumberField({ initial: 0, integer: true }),
      isdualside: new fields.BooleanField({ initial: false }),
      ispositif: new fields.BooleanField({ initial: true }),
      isgm: new fields.BooleanField({ initial: false }),
      description: new fields.HTMLField({ initial: "" })
    };
  }
}
